Subject: Re: bug#6756: 23.2; `describe-function' describing functions that aren't

From: Juanma Barranquero <[email-masked]>
Date: Sat, 31 Jul 2010 14:05:14 +0200

On Sat, Jul 31, 2010 at 04:50, MON KEY <[email-masked]> wrote:

> It would be working as expected assuming I could ascertain _what_ to
> expect.

I agree that completion is complex and perhaps underdocumented.

> FWIW I increasingly find it unreasonable that *Help* defaults to
> _just_ pointing the user to `customize'.

I haven't noticed that. I share your opinion on Customize, though.

> It isn't all that helpful that *Help* seems to increasingly
> (implicitly) suggest dropping into *Info* or custom to get help.

I think suggesting to read Info is reasonable. It does not make much
sense to duplicate in docstrings all the information already available
on the Info pages.

I'm closing this bug, as it is no longer about describe-function
failing. Feel free to file bugs about documentation shortcomings, etc.

    Juanma